package cn.ibizlab.core.ou.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;

import cn.ibizlab.core.ou.domain.IBZEmployee;
import cn.ibizlab.core.ou.filter.IBZEmployeeSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[IBZEmployee] 服务对象接口
 */
public interface IIBZEmployeeService extends IService<IBZEmployee>{

    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    IBZEmployee initPwd(IBZEmployee et) ;
    boolean create(IBZEmployee et) ;
    void createBatch(List<IBZEmployee> list) ;
    boolean checkKey(IBZEmployee et) ;
    boolean update(IBZEmployee et) ;
    void updateBatch(List<IBZEmployee> list) ;
    boolean save(IBZEmployee et) ;
    void saveBatch(List<IBZEmployee> list) ;
    IBZEmployee get(String key) ;
    IBZEmployee getDraft(IBZEmployee et) ;
    Page<IBZEmployee> searchDefault(IBZEmployeeSearchContext context) ;
    List<IBZEmployee> selectByMdeptid(String deptid) ;
    void removeByMdeptid(String deptid) ;
    List<IBZEmployee> selectByOrgid(String orgid) ;
    void removeByOrgid(String orgid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

}


